{"componentChunkName":"component---src-templates-docs-js","path":"/whatsapp/c-commerce/messaging/example","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"4b65230d-7fbb-5615-911f-86933b6a0f7f","title":"Ejemplos","slug":"/whatsapp/c-commerce/messaging/example"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Ejemplos\",\n  \"order\": 3\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"p\", null, \"Ejemplos de curl para enviar mensajes de productos de C-Commerce (producto \\xFAnico y m\\xFAltiples productos).\"), mdx(\"section\", {\n    \"id\": \"productoúnico\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Producto \\xFAnico\")), mdx(\"section\", {\n    \"id\": \"productoúnico--peticiónhttpproductoúnico\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Petici\\xF3n HTTP producto \\xFAnico\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl -X POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"singleProductMessage\\\": {\\n        \\\"type\\\": \\\"product\\\",\\n        \\\"body\\\": \\\"Habla Ingles en 8 meses\\\", \\n        \\\"footer\\\": \\\"El curso de ingles incluye una hora diaria\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n        }\\n    }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"productoúnico--bodyproductoúnico\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body producto \\xFAnico\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"singleProductMessage\\\": {\\n        \\\"type\\\": \\\"product\\\",\\n        \\\"body\\\": \\\"Habla Ingles en 8 meses\\\", \\n        \\\"footer\\\": \\\"El curso de ingles incluye una hora diaria\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n        }\\n    }\\n}\\n\")), mdx(\"br\", null), mdx(\"hr\", {\n    parentName: \"section\"\n  })), mdx(\"section\", {\n    \"id\": \"múltiplesproductos\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"M\\xFAltiples productos\")), mdx(\"section\", {\n    \"id\": \"múltiplesproductos--peticiónhttpmúltiplesproductos\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Petici\\xF3n HTTP m\\xFAltiples productos\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl -X POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"multiProductMessage\\\": {\\n        \\\"type\\\": \\\"product_list\\\",\\n        \\\"header\\\": {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"Clases de Ingles\\\"\\n        }, \\n        \\\"body\\\": \\\"Aprende Ingles\\\", \\n        \\\"footer\\\": \\\"La mejor escuela de ingles\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"sections\\\": [\\n                {\\n                    \\\"title\\\": \\\"Mi Seccion de Ingles\\\", \\n                    \\\"productItems\\\": [\\n                        {\\n                            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n                        }, \\n                        {\\n                            \\\"productRetailerId\\\": \\\"LLPI12102021\\\" \\n                        }\\n                    ]\\n                }\\n            ]\\n        }\\n    }\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"múltiplesproductos--bodymúltiplesproductos\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Body m\\xFAltiples productos\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"interactive\\\",\\n    \\\"multiProductMessage\\\": {\\n        \\\"type\\\": \\\"product_list\\\",\\n        \\\"header\\\": {\\n            \\\"type\\\": \\\"text\\\",\\n            \\\"text\\\": \\\"Clases de Ingles\\\"\\n        }, \\n        \\\"body\\\": \\\"Aprende Ingles\\\", \\n        \\\"footer\\\": \\\"La mejor escuela de ingles\\\", \\n        \\\"action\\\": {\\n            \\\"catalogId\\\": \\\"1374748992926971\\\",\\n            \\\"sections\\\": [\\n                {\\n                    \\\"title\\\": \\\"Mi Seccion de Ingles\\\", \\n                    \\\"productItems\\\": [\\n                        {\\n                            \\\"productRetailerId\\\": \\\"ING_0001\\\"\\n                        }, \\n                        {\\n                            \\\"productRetailerId\\\": \\\"LLPI12102021\\\" \\n                        }\\n                    ]\\n                }\\n            ]\\n        }\\n    }\\n}\\n\"))));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#producto-único","title":"Producto único","items":[{"url":"#petición-http-producto-único","title":"Petición HTTP producto único"},{"url":"#body-producto-único","title":"Body producto único"}]},{"url":"#múltiples-productos","title":"Múltiples productos","items":[{"url":"#petición-http-múltiples-productos","title":"Petición HTTP múltiples productos"},{"url":"#body-múltiples-productos","title":"Body múltiples productos"}]}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"whatsapp/c-commerce/messaging/example.mdx","fields":{"gitLogLatestAuthorName":"Irais Aguirre","gitLogLatestAuthorEmail":"irais.aguirre@conceptomovil.com","gitLogLatestDate":"4 days ago"}},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"20211019-2FACTOR_AUTH"},"gitCommit":{"hash":"9713e1925aeb8cad930f91b6bf05d0b5937b2bb5","date":"2026-11-13 06:39"}},"pageContext":{"id":"4b65230d-7fbb-5615-911f-86933b6a0f7f"}},"staticQueryHashes":["12478684","12478684","2882937274","2882937274","353167761","353167761"]}